Subject: Re: bug#32595: EIEIO manual breaks built-ins

From: Robert Pluim <[email-masked]>
Date: Fri, 31 Aug 2018 09:41:41 +0200

Paul Pogonyshev <[email-masked]> writes:

> EIEIO manual defines class `record' in many chapters. Evaluating these
> examples hides built-in function `record', potentially breaking Emacs.
>
> The class in EIEIO manual must be renamed to avoid clashing with built-ins.

It would be easy enough to rename it to 'person' if nobody objects.

Robert